#!/bin/bash

# 更新 package 索引
sudo apt-get update -y

# 安装必要的软件包
sudo apt-get install -y \
    apt-transport-https \
    ca-certificates \
    curl \
    gnupg \
    lsb-release

# 添加 Docker 的官方 GPG 密钥
curl -fsSL https://download.docker.com/linux/debian/gpg | sudo gpg --dearmor -o /usr/share/keyrings/docker-archive-keyring.gpg

# 设置稳定版本的 Docker APT 源
echo "deb [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/docker-archive-keyring.gpg] https://download.docker.com/linux/debian $(lsb_release -cs) stable" | sudo tee /etc/apt/sources.list.d/docker.list > /dev/null

# 更新 package 索引
sudo apt-get update -y

# 安装最新版本的 Docker 引擎、CLI 和 containerd
sudo apt-get install -y docker-ce docker-ce-cli containerd.io

# 启动并且启用 Docker 服务
sudo systemctl start docker
sudo systemctl enable docker

# 验证 Docker 是否安装成功
sudo docker --version

echo "Docker 已成功安装并正在运行。"
